# $Revision: 1.137.2.1 $, $Date: 2007/03/09 00:10:02 $
#
# TODO: - snort rules - fix description
#	- clamav support - cleanup, add some docs
#	  update clamav patches - the current one uses obsolete cl_scanbuff 
#	  function (should use cl_scanfile/cl_scandesc instead) 
#	- snort_inline - prepare separate sets of config-files, rules
#	  and startup script, adds some docs
#	- snort 2.6
#
# Conditional build:
%bcond_without	pgsql	# build without PostgreSQL storage support
%bcond_without	mysql	# build without MySQL storage support
%bcond_without	snmp	# build without SNMP support
%bcond_without	inline	# build without inline support
%bcond_without	prelude	# build without prelude support
%bcond_with	clamav	# build with ClamAV preprocessor support (anti-vir)
%bcond_with	registered	# build with rules available for registered users
#
Summary:	Network intrusion detection system (IDS/IPS)
Summary(pl):	System wykrywania intruzw w sieciach (IDS/IPS)
Summary(pt_BR):	Ferramenta de deteco de intrusos
Summary(ru):	Snort -      
Summary(uk):	Snort -      
Name:		snort
Version:	2.4.5
Release:	3
License:	GPL v2 (vrt rules on VRT-License)
Group:		Networking
Source0:	http://www.snort.org/dl/current/%{name}-%{version}.tar.gz
# Source0-md5:	108b3c20dcbaf3cdb17ea9203342eaaa
Source1:	http://www.snort.org/pub-bin/downloads.cgi/Download/vrt_pr/%{name}rules-pr-2.4.tar.gz
# Source1-md5:	35d9a2486f8c0280bb493aa03c011927
%if %{with registered}
Source2:	http://www.snort.org/pub-bin/downloads.cgi/Download/vrt_os/%{name}rules-snapshot-2.4.tar.gz
# NoSource2-md5:	79af87cda3321bd64279038f9352c1b3
NoSource:	2
%endif
Source3:	http://www.snort.org/pub-bin/downloads.cgi/Download/comm_rules/Community-Rules-2.4.tar.gz
# Source3-md5:	639d98ed81314723f4dee0b3100f7a19
Source4:	%{name}.init
Source5:	%{name}.logrotate
Patch0:		%{name}-libnet1.patch
Patch1:		%{name}-lib64.patch
# http://www.bleedingsnort.com/staticpages/index.php?page=snort-clamav
Patch2:		%{name}-2.4.3-clamonly.diff
URL:		http://www.snort.org/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_clamav:BuildRequires:	clamav-devel}
%{?with_inline:BuildRequires:	iptables-devel}
BuildRequires:	libnet1-devel = 1.0.2a
BuildRequires:	libpcap-devel
%{?with_prelude:BuildRequires:	libprelude-devel}
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_snmp:BuildRequires:	net-snmp-devel >= 5.0.7}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpmbuild(macros) >= 1.202
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	libnet1 = 1.0.2a
Requires:	rc-scripts >= 0.2.0
Provides:	group(snort)
%{?with_mysql:Provides:	snort(mysql) = %{version}}
%{?with_pgsql:Provides:	snort(pgsql) = %{version}}
Provides:	user(snort)
Obsoletes:	snort-rules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/snort
%define		_bindir		%{_sbindir}

%description
Snort is an open source network intrusion detection system, capable of
performing real-time traffic analysis and packet logging on IP
networks. It can perform protocol analysis and content
searching/matching in order to detect a variety of attacks and probes,
such as buffer overflows, stealth port scans, CGI attacks, SMB probes,
OS fingerprinting attempts, and much more. Snort uses a flexible rules
language to describe traffic that it should collect or pass, as well
as a detection engine that utilizes a modular plugin architecture.
Snort has a real- time alerting capability as well, incorporating
alerting mechanisms for syslog, user specified files, a UNIX socket,
or WinPopup messages to Windows clients using Samba's smbclient.

Sourcefire VRT Certified Rules requires registration.
https://www.snort.org/pub-bin/register.cgi

%description -l pl
Snort to bazujcy na open source NIDS (network intrusion detection
systems) wykonujcy w czasie rzeczywistym analiz ruchu oraz logowanie
pakietw w sieciach IP. Jego moliwoci to analiza protokou oraz
zawartoci w poszukiwaniu rnego rodzaju atakw lub prb takich jak
przepenienia bufora, skanowanie portw typu stealth, ataki CGI,
prbkowanie SMB, OS fingerprinting i duo wicej. Snort uywa
elastycznego jzyka reguek do opisu ruchu, ktry naley
przeanalizowa jak rwnie silnika wykrywajcego, wykorzystujcego
moduow architektur. Snort umoliwia alarmowanie w czasie
rzeczywistym poprzez sysloga, osobny plik lub jako wiadomo WinPopup
poprzez klienta Samby: smbclient.

Reguy certyfikowane poprzez Sourcefire wymagaj rejestracji.
https://www.snort.org/pub-bin/register.cgi

%description -l pt_BR
Snort  um sniffer baseado em libpcap que pode ser usado como um
pequeno sistema de deteco de intrusos. Tem como caracterstica o
registro de pacotes baseado em regras e tambm pode executar uma
anlise do protocolo, pesquisa de padres e detectar uma variedade de
assinaturas de ataques, como estouros de buffer, varreduras "stealth"
de portas, ataques CGI, pesquisas SMB, tentativas de descobrir o
sistema operacional e muito mais. Possui um sistema de alerta em tempo
real, com alertas enviados para o syslog, um arquivo de alertas em
separado ou como uma mensagem Winpopup.

%description -l ru
Snort -   ,     
    . Snort 
    ,   
,    .    
   "",     
" ",   , CGI , SMB
,       . Snort 
     ,   
syslog,     WinPopup   smbclient.

%description -l uk
Snort -  Φ Ԧ,     
    . Snort Цդ 
Ԧ  צ ,   ̦ ̦,  
ͦԦ Ԧ.       
"צ",      " ",
  Ԧ, CGI , SMB צ,  
    . Snort    Ħ  
Ӧ,  צ  syslog,     WinPopup
צ  smbclient.

%prep
%setup -q %{!?with_registered:-a1} %{?with_registered:-a2} -a3
%patch0 -p1
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif
%{?with_clamav:%patch2 -p1}

sed -i "s#var\ RULE_PATH.*#var RULE_PATH /etc/snort/rules#g" rules/snort.conf
_DIR=$(pwd)
cd rules
for I in community-*.rules; do
	echo "include \$RULE_PATH/$I" >> snort.conf
done
cd $_DIR

%build
%{__aclocal}
%{__autoconf}
%{__automake}
# we don't need libnsl, so don't use it
%configure \
	no_libnsl=yes \
	--enable-smbalerts \
	--enable-flexresp \
	%{?with_inline:--enable-inline } \
	%{?with_inline:--with-libipq-includes=%{_includedir}/libipq }  \
	--with-libnet-includes=%{_includedir} \
	--with%{!?with_snmp:out}-snmp \
	--without-odbc \
	--enable-perfmonitor \
	--with%{!?with_pgsql:out}-postgresql \
	--with%{!?with_mysql:out}-mysql \
	%{?with_prelude:--enable-prelude } \
	%{?with_clamav:--enable-clamav --with-clamav-defdir=/var/lib/clamav}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,%{name},cron.daily,logrotate.d} \
	$RPM_BUILD_ROOT%{_var}/log/{%{name},archiv/%{name}} \
	$RPM_BUILD_ROOT%{_datadir}/mibs/site \
	$RPM_BUILD_ROOT%{_sysconfdir}/rules

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install rules/*.config	$RPM_BUILD_ROOT%{_sysconfdir}
install etc/unicode.map	$RPM_BUILD_ROOT%{_sysconfdir}
install rules/*.rules	$RPM_BUILD_ROOT%{_sysconfdir}/rules
install %{SOURCE4}	$RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE5}	$RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install rules/snort.conf	$RPM_BUILD_ROOT%{_sysconfdir}

mv schemas/create_mysql schemas/create_mysql.sql
mv schemas/create_postgresql schemas/create_postgresql.sql

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 46 -r snort
%useradd -u 46 -g snort -M -r -d %{_var}/log/snort -s /bin/false -c "SNORT IDS/IPS" snort

%post
/sbin/chkconfig --add snort
%service snort restart

%preun
if [ "$1" = "0" ] ; then
	%service snort stop
	/sbin/chkconfig --del snort
fi

%postun
if [ "$1" = "0" ] ; then
	%userremove snort
	%groupremove snort
fi

%files
%defattr(644,root,root,755)
%doc doc/{AUTHORS,BUGS,CREDITS,NEWS,PROBLEMS,README*,RULES.todo,TODO,USAGE,WISHLIST,*.pdf}
%doc schemas/create_{mysql,postgresql}.sql
%attr(755,root,root) %{_sbindir}/*
%attr(770,root,snort) %dir %{_var}/log/snort
%attr(770,root,snort) %dir %{_var}/log/archiv/%{name}
%attr(750,root,snort) %dir %{_sysconfdir}
%attr(640,root,snort) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/unicode.map
%attr(640,root,snort) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.config
%attr(640,root,snort) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/snort.conf
%attr(750,root,snort) %dir %{_sysconfdir}/rules
%attr(640,root,snort) %{_sysconfdir}/rules/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%{_mandir}/man?/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: snort.spec,v $
Revision 1.137.2.1  2007/03/09 00:10:02  mguevara
- rel 3
- changed clamav bcond to off - clamav support needs update for the current
  clamav-0.90

Revision 1.137  2006/12/26 19:19:31  adamg
- Obsoletes: snort-rules
- cosmetics
- release 2

Revision 1.136  2006/09/05 10:16:17  havner
- syntax,cosmetics

Revision 1.135  2006/09/05 10:12:12  havner
- dropped rules banner

Revision 1.134  2006/09/05 10:09:42  havner
- removed pld outdated snort config, take one from rules (vrt
  registered or vrt unregistered ones)
- added community rulles to config (this might require testing it they
  dont conflict with vrt ones)
- dropped rules subpackage, it was only there because someone package snort
  without any rules at the begining, its no point in keeping it separate
  as snort requires them and snort.conf content is based on rules installed

Revision 1.133  2006/09/05 09:12:28  havner
- user 2.4 rules for snapshot rather then current (current are 2.6
  prepared with dynamic plugins)

Revision 1.132  2006/09/05 08:28:13  havner
- 2.4.5
- add bcond for vrt rules for registered rules
- add comunity rules

Revision 1.131  2006/06/12 16:43:42  mguevara
- 2.4.4 rel 2 adds clamav preprocessor support (bcond)

Revision 1.130  2006/04/11 14:58:18  mguevara
- 2.4.4 rel 1

Revision 1.129  2006/03/27 12:41:29  glen
- rel 4 (libmysqlclient_15)

Revision 1.128  2006/03/13 23:14:32  glen
- use %service

Revision 1.127  2006/03/13 13:10:31  matowy
- adapterized

Revision 1.126  2006/03/13 13:00:07  matowy
- proper license

Revision 1.125  2006/02/18 04:16:15  mguevara
- 2.4.3 rel 3
- revesed bcond inline (integrated with mainline from 2.3.0 RC1)
  http://www.snort.org/docs/snort_htmanuals/htmanual_2.4/rc1/node7.html
- added bcond prelude - snort could be a sensor for Prelude Hybrid IDS
  http://www.prelude-ids.org/ (integrated in 2.4.0)

Revision 1.124  2006/02/16 03:16:09  mguevara
- libnet1 includedir should be /usr/include not /u/i/libnet1 (for inline)

Revision 1.123  2005/12/03 17:59:39  czarny
- added create{mysql,postgresql}.sql scripts
- rel 2

Revision 1.122  2005/10/30 23:56:25  arekm
- finished update to 2.4.3

Revision 1.121  2005/10/28 10:58:24  arekm
- put this unfinished ver here; previous versions have SECURITY BUGS

Revision 1.120  2005/10/27 17:53:14  arekm
- rel 1

Revision 1.119  2005/05/02 08:20:30  misi3k
- adapterized

Revision 1.118  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.117  2005/04/24 17:43:16  misi3k
- group fix

Revision 1.116  2005/04/24 17:39:55  misi3k
- added subpackage snort-rules

Revision 1.115  2005/04/24 16:53:43  misi3k
- rel 0.9
- up to 2.3.3
- rules up
- enabled perfmonitor
- added TODO
  NOTE: BUILDS&WORKS

Revision 1.114  2005/04/18 08:51:42  misi3k
- rel 1 STBR[AC]

Revision 1.113  2005/04/18 05:55:01  misi3k
- sourcefire rules info

Revision 1.112  2005/04/18 05:39:19  misi3k
- up to 2.3.2
- rel 0.1
- updated URL
  NOTE: BUILDS but not tested

Revision 1.111  2005/02/10 14:02:01  qboosh
- init perms unified

Revision 1.110  2005/02/10 13:51:54  qboosh
- updated to 2.3.0, updated rules to latest 2_3 snapshot

Revision 1.109  2004/12/26 14:50:02  zawadaa
- update to 2.3.0RC2

Revision 1.108  2004/11/20 08:29:55  misi3k
- rel 0.4
- summary
- rel with inline

Revision 1.107  2004/11/19 09:36:46  misi3k
- rel 0.3
- BR: iptables-devel (inline requires libipq)
- bcond inline

Revision 1.106  2004/11/19 07:58:52  misi3k
- rel 0.2
- rules update to CURRENT

Revision 1.105  2004/11/19 07:19:10  misi3k
- start update to 2.3.0RC1, NFY

Revision 1.104  2004/11/17 10:17:11  misi3k
- rules update

Revision 1.103  2004/10/31 16:25:46  paladine
- spaces->tabs
- formatting

Revision 1.102  2004/09/23 11:17:02  kolodko
- added macros in /etc/logrotate.d

Revision 1.101  2004/09/15 21:10:25  ankry
- %userremove/%groupremove support
- don't use %{name} macro in homedir
- some standardization

Revision 1.100  2004/09/06 20:26:00  arekm
- update rules

Revision 1.99  2004/08/30 20:10:10  misi3k
- rel 2
- rules updated to 2.2

Revision 1.98  2004/08/21 20:41:12  misi3k
- rel 1
  Note: Builds&Works

Revision 1.97  2004/08/13 19:09:57  paszczus
- updated  to 2.2.0

Revision 1.96  2004/07/30 19:45:13  twittner
- fix md5 for Source1 (weird).

Revision 1.95  2004/07/30 18:14:16  twittner
- fix md5 for Source1.

Revision 1.94  2004/06/24 10:56:08  arekm
- updated to 2.1.3

Revision 1.93  2004/06/01 09:46:14  qboosh
- fixed logrotate config, release 0.2

Revision 1.92  2004/04/14 09:23:58  qboosh
- uhh, they are too fast - new latest rules

Revision 1.91  2004/04/14 09:19:37  qboosh
- requires exactly libnet 1.0.2a, no other

Revision 1.90  2004/04/14 09:17:42  qboosh
- updated to 2.1.2 with latest rules

Revision 1.89  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.88  2004/01/26 15:46:47  undefine
- patch to allow build on amd64, release 0.2

Revision 1.87  2004/01/10 11:12:05  arekm
- use latest rulesets

Revision 1.86  2004/01/10 11:08:34  arekm
- unicode.map added

Revision 1.85  2003/12/24 08:58:41  misi3k
- bye bye doc/RULES
  Note: now builds, not tested

Revision 1.84  2003/12/24 08:50:58  misi3k
- updated to 2.1.0, NFY

Revision 1.83  2003/11/28 12:20:00  qboosh
- they are too fast... rules 20031128 12:15:09 GMT

Revision 1.82  2003/11/28 12:08:47  qboosh
- updated: snort 2.0.5, rules 20031128 11:15:08 GMT

Revision 1.81  2003/10/16 14:15:02  qboosh
- fixed snort/rules dir perms

Revision 1.80  2003/10/01 07:33:27  qboosh
- fixed double "c" addition

Revision 1.79  2003/09/30 20:18:34  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.78  2003/09/30 19:32:17  eothane
- openssl 0.9.7c
- next release

Revision 1.77  2003/09/24 14:57:24  misi3k
- damm

Revision 1.76  2003/09/24 10:30:51  ankry
- md5 :)

Revision 1.75  2003/09/24 10:24:14  misi3k
- md5

Revision 1.74  2003/09/24 10:13:54  misi3k
- rules update, cosmetics

Revision 1.73  2003/09/10 13:35:29  ankry
- rel. 3

Revision 1.72  2003/08/10 19:32:33  misi3k
- rel 1
- cleanup

Revision 1.71  2003/08/06 21:31:52  misi3k
- updated to 2.0.1
- rel 0.1
- rule file cleanup

Revision 1.70  2003/08/04 11:35:58  qboosh
- use SUSv2-compliant chown syntax (user:group) instead of deprecated

Revision 1.69  2003/07/03 22:32:53  areq
- BuildRequires:        libnet1-devel
- add libnet1.patch

Revision 1.68  2003/05/28 13:01:56  malekith
- massive attack: source-md5

Revision 1.67  2003/05/25 06:26:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.66  2003/05/06 07:09:47  misi3k
- rel 8
- added snort.conf file
- rules moved to \/etc\/snort\/rules
- cosmetics

Revision 1.65  2003/05/06 06:37:37  misi3k
- rel 7
- snortrules updated (06.05.2003)

Revision 1.64  2003/05/04 19:24:16  misi3k
- ups

Revision 1.63  2003/05/04 19:20:29  misi3k
- rel 6
- snort rules cosmetics

Revision 1.62  2003/04/25 19:50:41  misi3k
- rel 5
- snort rules updated (Fri Apr 25 19:16:14 2003 GMT)

Revision 1.61  2003/04/22 09:29:19  misi3k
- rel 4
- snort rules updated (Tue Apr 22 09:16:43 2003 GMT)

Revision 1.60  2003/04/16 13:11:26  qboosh
- release 3 (2.0.0-2 is on RA-branch)

Revision 1.59  2003/04/16 12:50:12  misi3k
- rel 1
- BR: openssl-devel >= 0.9.7b

Revision 1.58  2003/04/14 18:14:12  misi3k
- rel 0.2
- snortrles updated (Mon Apr 14 17:16:27 2003 GMT)

Revision 1.57  2003/04/14 18:08:13  misi3k
- updated to 2.0
- rel 0.1

Revision 1.56  2003/04/10 19:33:16  misi3k
- updated to 2.0.0rc4

Revision 1.55  2003/04/06 11:01:12  misi3k
- updated to 2.0.0rc3

Revision 1.54  2003/03/31 12:50:08  qboosh
- release 0.rc1.1

Revision 1.53  2003/03/31 12:46:59  misi3k
- updated to 2.0.0rc1

Revision 1.52  2003/03/09 23:08:17  qboosh
- don't link with libnsl - it's not necessary

Revision 1.51  2003/03/06 11:22:03  qboosh
- more specific Requires, noticed TODO

Revision 1.50  2003/03/03 20:29:14  misi3k
- updated to 1.9.1 (fix vulnerability in the RPC preprocessor)

Revision 1.49  2003/02/17 21:43:59  misiek
- net-snmp

Revision 1.48  2003/02/13 14:05:25  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.47  2002/11/14 09:31:19  zagrodzki
- move snort.conf to /etc
- rel 2

Revision 1.46  2002/10/26 19:28:22  misiek
- include snort.conf

Revision 1.45  2002/10/26 19:02:14  misiek
- updated to 1.9.0

Revision 1.44  2002/10/19 12:53:50  kloczek
- added dup_AC_OUTPUT patch: remoed duplicated entris from AC_OUTPUT() in configure.in.

Revision 1.43  2002/10/19 11:18:10  kloczek
- typo.

Revision 1.42  2002/10/19 10:59:18  kloczek
- reles 3: rebuild against ucd-snmp 4.2.6.

Revision 1.41  2002/10/09 13:14:47  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.40  2002/05/21 23:14:44  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.39  2002/05/19 01:23:34  misiek
- enabled mysql driver (by default, too); rel 2

Revision 1.38  2002/05/13 10:46:52  kloczek
- updated to 1.8.6 (security fix: fixed DoS; look at
  http://online.securityfocus.com/bid/3849 for details).

Revision 1.37  2002/05/13 10:18:47  kloczek
- release 4: rebuild against ucd-snmp-deve 4.2.5.

Revision 1.36  2002/05/09 09:59:28  kloczek
- release 3: fix group on %config fiels (change group to snort) for allow
  snort this files.

Revision 1.35  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.34  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:15:01  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/12/15 16:50:10  kloczek
- release 2: rebuild against ucd-snmp 4.2.3.

Revision 1.30  2001/12/06 14:12:19  kloczek
- updaed to 1.8.3 (many fixes and new rules),
- updated Source url.

Revision 1.29  2001/12/06 13:31:02  kloczek
- release 7: added missing regenerate am files.

Revision 1.28  2001/11/07 01:00:31  kloczek
- release 6: rebuild against ucd-snmp 4.2.2.

Revision 1.27  2001/10/11 09:12:47  qboosh
- BuildRequires: automake

Revision 1.26  2001/09/25 13:18:42  qboosh
- release 5: Prereq: /sbin/chkconfig is back (not implied by rc-scripts)

Revision 1.25  2001/09/24 09:29:46  kloczek
- release 4: fixed logrotate file (was incorrect path to logs
  s#/var/log/snort/snort#/var/log/snort/snort#)

Revision 1.24  2001/09/15 23:27:10  kloczek
- removed "Prereq: /sbin/chkconfig".

Revision 1.23  2001/09/15 20:02:52  qboosh
- added _without_snmp bcond
- removed sed from BuildRequires - it's in rpm-build Requires

Revision 1.22  2001/09/14 09:19:24  qboosh
- removed English "es" translations
- Provides: snort(mysql)/snort(pgsql) depending on bconds
- release 3

Revision 1.21  2001/09/11 12:11:16  misiek
- added zlib-devel to buildrequires

Revision 1.20  2001/09/04 00:53:17  kloczek
- release 2.

Revision 1.19  2001/09/03 23:18:51  misiek
- mysql/pgsql bconds

Revision 1.18  2001/08/31 20:20:25  kloczek
- merge translations from CNV.

Revision 1.17  2001/08/31 19:41:20  misiek
- updated to 1.8.1 (release)

Revision 1.16  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.14  2001/05/12 00:52:07  kloczek
- reelase 3,
- rebuild against openssl 0.9.6a,
- added missing BuildRequires rule for openssl-devel.

Revision 1.13  2001/04/09 08:26:29  mkochano
- Release 2.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.12  2001/02/15 22:51:06  kloczek
- use autoconf mapped macroc in propr way,
- regenerate all am/ac files isn't neccessary,
- cosmetics.

Revision 1.11  2001/02/14 20:45:04  bonkey
- BuildReq: automake, autoconf

Revision 1.10  2001/02/14 20:37:20  bonkey
- upgrade to 1.7

Revision 1.9  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.8  2000/11/25 11:35:05  misiek
source4 -> source5

Revision 1.7  2000/11/25 11:34:25  misiek
- small cleanups

Revision 1.6  2000/11/04 20:08:20  misiek
- updated

* Fri Nov  3 2000 agaran
- i changed some..

* Tue Jul 25 2000 Wim Vandersmissen <wim@bofh.st>
- Added some checks to find out if we're upgrading or removing the package

* Sat Jul 22 2000 Wim Vandersmissen <wim@bofh.st>
- Updated to version 1.6.3
- Fixed the user/group stuff (moved to %post)
- Added userdel/groupdel to %postun
- Automagically adds the right IP, nameservers to /etc/snort/rules.base

* Sat Jul 08 2000 Dave Wreski <dave@linuxsecurity.com>
- Updated to version 1.6.2
- Removed references to xntpd
- Fixed minor problems with snortd init script

* Fri Jul 07 2000 Dave Wreski <dave@linuxsecurity.com>
- Updated to version 1.6.1
- Added user/group snort

* Sat Jun 10 2000 Dave Wreski <dave@linuxsecurity.com>
- Added snort init.d script (snortd)
- Added Dave Dittrich's snort rules header file (ruiles.base)
- Added Dave Dittrich's wget rules fetch script (check-snort)
- Fixed permissions on /var/log/snort
- Created /var/log/snort/archive for archival of snort logs
- Added post/preun to add/remove snortd to/from rc?.d directories
- Defined configuration files as %config

* Tue Mar 28 2000 William Stearns <wstearns@pobox.com>
- Quick update to 1.6.
- Sanity checks before doing rm-rf in install and clean

* Fri Dec 10 1999 Henri Gomez <gomez@slib.fr>
- 1.5-0 Initial RPM release
